#!/usr/bin/perl -I lib
use strict;
use warnings;
use Image::ExifTool qw(:Public);

# don't buffer
BEGIN { $| = 1 }

my $path = $ARGV[0];
my $temp_path = $ARGV[1];
my $value = $ARGV[2];

print "set.pl\n";
print "path: $path\n";
print "temp_path: $temp_path\n";
print "value: $value\n";

my $exifTool = new Image::ExifTool;
$exifTool->Options(IgnoreMinorErrors => 1);
my $info = $exifTool->ImageInfo($path);

$exifTool->SetNewValue(DateTimeOriginal => $value);

my $success = 1;

if( $temp_path eq "<none>" ) {
    $success = $exifTool->WriteInfo($path);
} else {
    $success = $exifTool->WriteInfo($path, $temp_path);
}

if( $success ) {
    exit(0);
} else {
	
	my $error_message = $exifTool->GetValue('Error');
	print "exiftool error message: $error_message";
    exit(1);
}

# read standard input
#while (<>) {
#
#	# get rid of trailing new line (if present)
#	chomp;
#
#	# get exif tags info
#	my $info = ImageInfo($_);
#
#	# print the contents, key<newline>value
#	foreach my $key (keys %$info) {
#		print "$key\n";
#		print "$$info{$key}\n";
#	}

# finished this record
#	print "---finished---";

#}
